* {
  box-sizing: border-box;
}

body {
  font-family: sans-serif;
  margin: 40px 0;
}

.toolbar {
  background-color: #556572;
  width: 100%;justify-content: center;/* border-bottom: 1px solid #d0d0d0; */
  height: 50px;
  display: inline-flex;align-items: center;/* position: fixed; */
  top: 0;
  left: 0;
  right: 0;
  padding: 0 5px;
  /* text-shadow: 1px 1px 0 #fff; */
  /* z-index: 100; */
  /* -webkit-box-shadow: inset 0px 1px 1px 0px rgba(255,255,255,1); */
     -moz-box-shadow: inset 0px 1px 1px 0px rgba(255,255,255,1);
          /* box-shadow: inset 0px 1px 1px 0px rgba(255,255,255,1); */
}
.toolbar .spacer {
  /* display: inline-block; */
  /* border-left: 1px solid #c1c1c1; */
  /* height: 34px; */
  /* margin: 0 5px -11px; */
/* align-self: center; */}

.toolbar a {
  color: white;
  text-decoration: none;
}

.toolbar button {
  background-color: transparent;
  border: none;
  /* border-radius: 3px; */
  font-size: 15px;
  /* padding: 3px; */
  margin: 0;
  text-align: center;
  /* text-shadow: 1px 1px 0 #fff; */
  /* position: relative; */
  min-width: 50px;
  min-height: 50px;
color: white;}
.toolbar button:after {
  /* content: ' '; */
  /* display: block; */
}
.toolbar button.active {
  /* border-color: #bababa; */
  /* -webkit-box-shadow: inset 0 0 1px rgba(0,0,0,0.25); */
     -moz-box-shadow: inset 0 0 1px rgba(0,0,0,0.25);
          /* box-shadow: inset 0 0 1px rgba(0,0,0,0.25); */
background-color: white;color: #556572;}

button.pen.active {}
.toolbar button:hover,
.toolbar button:focus {
  border-color: #bababa;
}

.toolbar button.pen {
  font-size: 16px;
}

.toolbar button.comment {
  font-size: 10px;
  /* color: #ffffff; */
  text-shadow: 0 0 0 #000000;
}

.toolbar button.rectangle:after {
  width: 15px;
  height: 15px;
  /* border: 1px solid red; */
  position: absolute;
  top: 4px;
  left: 4px;
}

.toolbar button.highlight:after {
  width: 17px;
  height: 17px;
  /* background: yellow; */
  position: absolute;
  top: 4px;
  left: 4px;
}

.toolbar button.strikeout:after {
  width: 15px;
  height: 1px;
  /* background: red; */
  position: absolute;
  top: 12px;
  left: 4px;
}

.toolbar button.text:after {
  /* content: 'T'; */
  /* font-family: 'Times New Roman'; */
}

.color {
  display: inline-block;
  width: 25px;
  height: 25px;
  border: 1px solid #000;
  vertical-align: middle;
}
.color-selected {
  border: 3px solid #666;
  width: 30px;
  height: 30px;
  margin-top: -1px;
  margin-left: -2px;
  margin-right: -2px;
}
.text-color, .pen-color {
  display: inline-block;
}

svg {
  pointer-events: none;
}